| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Genfun::GaudiMathImplementation::GSLFunctionWithMode Class Reference

`#include <GSLFunAdapters.h>`

List of all members.

## Detailed Description

Definition at line 69 of file GSLFunAdapters.h.

## Public Types
typedef double(*) | Function (double, gsl_mode_t)
| the actual type of the function
## Public Member Functions
| FUNCTION_OBJECT_DEF (GSLFunctionWithMode)
| mandatory macro from CLHEP/GenericFunctions
| GSLFunctionWithMode (Function fun, const gsl_mode_t &mode)
| constructor with pointer to function
| GSLFunctionWithMode (const GSLFunctionWithMode &)
| copy constructor
virtual | ~GSLFunctionWithMode ()
| destructor
virtual double | operator() (double x) const
| the main method
virtual double | operator() (const Argument &x) const
virtual bool | hasAnalyticDerivative () const
virtual unsigned int | dimensionality () const
Genfun::Derivative | partial (unsigned int i) const
Function | function () const
| get the function itself
const gsl_mode_t & | mode () const
| get the current mode
## Private Member Functions
| GSLFunctionWithMode ()
GSLFunctionWithMode & | operator= (const GSLFunctionWithError &)
## Private Attributes
Function | m_function
gsl_mode_t * | m_mode

## Member Typedef Documentation

typedef double(*) Genfun::GaudiMathImplementation::GSLFunctionWithMode::Function(double, gsl_mode_t)

the actual type of the function

Definition at line 73 of file GSLFunAdapters.h.

## Constructor & Destructor Documentation

Genfun::GaudiMathImplementation::GSLFunctionWithMode::GSLFunctionWithMode | ( | Function | fun,
|  | const gsl_mode_t & | mode |
| ) |  |  |

constructor with pointer to function

Genfun::GaudiMathImplementation::GSLFunctionWithMode::GSLFunctionWithMode | ( | const GSLFunctionWithMode & |  | ) |

copy constructor

Definition at line 102 of file GSLFunAdapters.cpp.

References m_mode.

    00103       : AbsFunction()
    00104       , m_function ( func.m_function   )
    00105       , m_mode     ( new gsl_mode_t () )
    00106     {
    00107       *m_mode = *(func.m_mode) ;
    00108     };

Genfun::GaudiMathImplementation::GSLFunctionWithMode::~GSLFunctionWithMode | ( |  | ) | `[virtual]`

destructor

Definition at line 110 of file GSLFunAdapters.cpp.

References m_mode.

    00111     { if ( 0 != m_mode ) { delete m_mode  ; } }

Genfun::GaudiMathImplementation::GSLFunctionWithMode::GSLFunctionWithMode | ( |  | ) | `[private]`

## Member Function Documentation

Genfun::GaudiMathImplementation::GSLFunctionWithMode::FUNCTION_OBJECT_DEF | ( | GSLFunctionWithMode |  | ) |

mandatory macro from CLHEP/GenericFunctions

double Genfun::GaudiMathImplementation::GSLFunctionWithMode::operator() | ( | double | x | ) | const`[virtual]`

the main method

Definition at line 114 of file GSLFunAdapters.cpp.

    00115     { return (*m_function)( x , *m_mode ) ; };

virtual double Genfun::GaudiMathImplementation::GSLFunctionWithMode::operator() | ( | const Argument & | x | ) | const`[virtual]`

virtual bool Genfun::GaudiMathImplementation::GSLFunctionWithMode::hasAnalyticDerivative | ( |  | ) | const`[inline, virtual]`

Definition at line 88 of file GSLFunAdapters.h.

    00088 { return true ; }

virtual unsigned int Genfun::GaudiMathImplementation::GSLFunctionWithMode::dimensionality | ( |  | ) | const`[inline, virtual]`

Definition at line 89 of file GSLFunAdapters.h.

    00089 { return    1 ; }

Genfun::Derivative Genfun::GaudiMathImplementation::GSLFunctionWithMode::partial | ( | unsigned int | i | ) | const

Definition at line 122 of file GSLFunAdapters.cpp.

    00123     {
    00124       if( i >= 1 )
    00125       {
    00126         const AbsFunction& aux = GaudiMath::Constant( 0 , 1 ) ;
    00127         return Genfun::FunctionNoop( &aux ) ;
    00128       };
    00129       const AbsFunction& aux = GaudiMath::Derivative( *this , i) ;
    00130       return Genfun::FunctionNoop( &aux ) ;
    00131     };

GSLFunctionWithMode::Function Genfun::GaudiMathImplementation::GSLFunctionWithMode::function | ( |  | ) | const

get the function itself

Definition at line 133 of file GSLFunAdapters.cpp.

References m_function.

    00134     { return  m_function      ; }

const gsl_mode_t & Genfun::GaudiMathImplementation::GSLFunctionWithMode::mode | ( |  | ) | const

get the current mode

Definition at line 136 of file GSLFunAdapters.cpp.

References m_mode.

    00137     { return *m_mode          ; }

GSLFunctionWithMode& Genfun::GaudiMathImplementation::GSLFunctionWithMode::operator= | ( | const GSLFunctionWithError & |  | ) | `[private]`

## Member Data Documentation

Function Genfun::GaudiMathImplementation::GSLFunctionWithMode::m_function`[private]`

Definition at line 101 of file GSLFunAdapters.h.

Referenced by function().

gsl_mode_t* Genfun::GaudiMathImplementation::GSLFunctionWithMode::m_mode`[private]`

Definition at line 102 of file GSLFunAdapters.h.

Referenced by GSLFunctionWithMode(), mode(), and ~GSLFunctionWithMode().

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiGSL/v6r9/GaudiMath/GSLFunAdapters.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiGSL/v6r9/src/Lib/GSLFunAdapters.cpp